Remove deprecated control codes.
authorWerner Koch <wk@gnupg.org>
Wed, 2 Oct 2013 12:14:57 +0000 (14:14 +0200)
committerWerner Koch <wk@gnupg.org>
Wed, 2 Oct 2013 12:18:03 +0000 (14:18 +0200)
commitf04a1db22d982627ba87da4e5df52df9b994c779
tree6d667dbe591382fcd19d7ea104209cc4091439fe
parent33757c1e03f1d885920633edf543cd1c77999455
Remove deprecated control codes.

* src/gcrypt.h.in (GCRYCTL_SET_KEY): Remove.
(GCRYCTL_SET_IV): Remove.
(GCRYCTL_SET_CTR): Remove.
* cipher/md.c (gcry_md_ctl): Remove deprecated GCRYCTL_SET_KEY.
* cipher/cipher.c (gcry_cipher_ctl): Remove deprecated
GCRYCTL_SET_KEY, GCRYCTL_SET_IV, GCRYCTL_SET_CTR.
--

Real functions are available for a long time now thus there is no more
point in supporting the control code hacks.  We have an ABI break
anyway thus this is a good time to get rid of them.

Signed-off-by: Werner Koch <wk@gnupg.org>
NEWS
cipher/cipher.c
cipher/md.c
src/gcrypt.h.in